{-# LANGUAGE OverloadedStrings #-}

module Lisa
    ( app
    , mkConfig
    ) where

import Data.Maybe (fromMaybe)
import Web.Spock (SpockM, get, html, param, root)
import Web.Spock.Config (PoolOrConn(PCNoDatabase), SpockCfg, defaultSpockCfg)

data Session = Session

mkConfig :: IO (SpockCfg () Session ())
mkConfig = defaultSpockCfg Session PCNoDatabase ()

app :: SpockM () Session () ()
app = do
    get root $ do
        html "<h1>It works!</h1><ul><li><a href='/lectures/search'>Vorlesungen</a></li></ul>"
    get "/lectures/search" $ do
        query <- fromMaybe "" <$> param "query"
        html $ "<h1>" <> query <> "</h1><form action='/lectures/search' method='GET'><input name='query' value='"  <> query <> "'><button type='submit'>Suchen</button></form>"
